跳转到内容

Kandinsky5

集成

模型 id kandinsky5/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.08 80 API 积分 · ≈ ₽8.53 在此页面运行

获取 API 密钥
Sber AI 文本生成视频 5–10 s

标准 Kandinsky 5 文生视频,支持 3:2、1:1 或 2:3 中的 5s 或 10s 视频片段,并可调节步数

Sber AI · 视频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填

引导视频生成的文本说明。

duration 5 s

输出视频时长:5s 或 10s。

aspect_ratio 默认 3:2

输出视频的宽高比:选择 3:2、1:1 或 2:3。

默认 768x512

根据宽高比计算出的视频尺寸为 768x512、512x512 或 512x768,以 W:H 格式表示。

高级 num_inference_steps · enable_safety_checker
默认 30

推理使用的步骤数。

POST /run/kandinsky5/text-to-video?wait=20 报价 → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Kandinsky5

根据文本 `prompt` 创建视频。`duration` 为 5s 或 10s,`aspect_ratio` 为 3:2、1:1 或 2:3,对应分辨率 768x512、512x512 和 512x768。`num_inference_steps` 范围为 1 到 50(默认 30),而蒸馏版本不提供此参数。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
引导视频生成的文本说明。
resolution可选
类型string
默认值768x512
根据宽高比计算出的视频尺寸为 768x512、512x512 或 512x768,以 W:H 格式表示。
aspect_ratio可选
类型enum
默认值3:2
3:21:12:3
输出视频的宽高比:选择 3:2、1:1 或 2:3。
duration可选
类型enum
默认值5s
5s10s
输出视频时长:5s 或 10s。
num_inference_steps可选
类型integer
默认值30
1 – 50
推理使用的步骤数。
enable_safety_checker可选
类型boolean
默认值true
经过授权的调用方可将其设置为 false,以放宽内容审核。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size} | null生成生成的视频文件。

更多模型:文本生成视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/kandinsky5/text-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt